Main Page Modules Namespace List Data Structures File List Data Fields Examples

# XML Extension
[SGML Parser]

## Functions
void | sgmlExtensionXmlSetParam (SGML_PARSER *parser, void *extensionContext, unsigned long param, void *value)
void | sgmlExtensionXmlGetParam (SGML_PARSER *parser, void *extensionContext, unsigned long param, void *value)
DOM_DOCUMENT * | sgmlExtensionXmlGetDocument (SGML_PARSER *parser)

## Function Documentation

DOM_DOCUMENT* sgmlExtensionXmlGetDocument | ( | SGML_PARSER * | parser | ) |

| Returns: The 'root' document node. Examples: testxml.c.

void sgmlExtensionXmlGetParam | ( | SGML_PARSER * | parser,
|  | void * | extensionContext,
|  | unsigned long | param,
|  | void * | value
| ) |

| Currently no parameters are supported for the XML extension.

void sgmlExtensionXmlSetParam | ( | SGML_PARSER * | parser,
|  | void * | extensionContext,
|  | unsigned long | param,
|  | void * | value
| ) |

| Currently no parameters are supported for the XML extension.